#pragma once
#include "stdThread.h"

class CMySyncObject
{
public:
	CMySyncObject();
	~CMySyncObject();

	BOOL	Initialize();		// 初期化
	BOOL	Uninitialize();		// 開放
	BOOL	Lock();				// ロック(所有権取得待ち)
	BOOL	UnLock();			// アンロック(所有権開放)

private:
	pthread_mutex_t	m_Mutex;	// ミューテックスを使います
};
